var jpush = null; // 极光推送模块

// 初始化
function JPush_init() {
  if (!jpush) {
    jpush = api.require("ajpush");
    jpush.init(); // 初始化推送服务，只Android有效，iOS上会自动初始化
  }

  JPush_getId();
  JPush_initListener();
}

// 注销
function JPush_logout() {
  // 没有初始化，直接返回
  if (!jpush) {
    return;
  }

  JPush_removeListener();
}

// 监听用户点击通知
function JPush_initListener() {
  var ios = api.systemType === "ios";

  api.addEventListener(
    {
      name: ios ? "noticeclicked" : "appintent",
    },
    function (ret, err) {
      var ajpush = ios ? ret.value : ret.appParam.ajpush;
      if (ret && ajpush && ajpush.extra) {
        api.showProgress();

        // 延迟加载是解决苹果从后台唤醒打开页面会失效问题
        setTimeout(function () {
          api.hideProgress();

          var type = ajpush.extra.type;
          if ([1, 2, 3].includes(type)) {
            // 外部http链接或者使用通用方式打开的内部页面
            // 注：对于type为1（视频地址）没有作特殊处理
            api.openTabLayout({
              name: "pushPage",
              url: ajpush.extra.url,
              title: ajpush.extra.name,
              navigationBar: {},
            });
          } else if (type == 4) {
            // 执行脚本
            api.execScript({
              name: api.winName,
              frameName: api.frameName,
              script: ajpush.extra.json,
            });
          }
        }, 1000);

        // 清除应用图标数字，只iOS有效。
        jpush.setBadge({
          badge: 0,
        });
      }
    }
  );
}

// 获取该设备的标识 RegistrationID
function JPush_getId() {
  jpush.getRegistrationId(function (ret, err) {
    var registrationId = ret.id;
    var userId = zk.getUserId();

    zk.api.updatePushDevice(userId, registrationId).catch(zk.log);
  });
}

// 移除监听
function JPush_removeListener() {
  api.removeEventListener({
    name: api.systemType === "ios" ? "noticeclicked" : "appintent",
  });
}
