var audioStreamer;

// 引入audioStreamer模块（单例模式）
function audioStreamer_require() {
  if (!audioStreamer) {
    audioStreamer = api.require("audioStreamer");
  }
  return audioStreamer;
}

// 打开音频播放器，并播放
function audioStreamer_openPlayer(url) {
  return new Promise(function (resolve, reject) {
    var audioStreamer = audioStreamer_require();
    audioStreamer.openPlayer(
      {
        path: url,
      },
      function (ret) {
        if (ret.status) {
          resolve(ret.duration);
        }
      }
    );
  });
}

// 暂停播放 ，如果想恢复播放可调用openPlayer继续播放(仅支持安卓这样调用)
function audioStreamer_pause() {
  var audioStreamer = audioStreamer_require();
  audioStreamer.pause();
}

// 恢复播放
function audioStreamer_resume() {
  var audioStreamer = audioStreamer_require();
  if (api.systemType == "ios") {
    audioStreamer.resume(); // 恢复播放，仅支持iOS
  } else {
    audioStreamer.openPlayer();
  }
}

// 停止播放
function audioStreamer_stop() {
  var audioStreamer = audioStreamer_require();
  audioStreamer.stop();
}
