/**
 * 配置(可以不引入 zk.js)
 */

window.zk = window.zk || {};
zk.config = {
  category: [
    {
      name: "财经类",
      list: [
        {
          professionId: 1,
          professionName: "初级会计职称",
        },
        {
          professionId: 2,
          professionName: "中级会计职称",
        },
        {
          professionId: 3,
          professionName: "注册会计师",
        },
        {
          professionId: 4,
          professionName: "初级管理会计",
        },
        {
          professionId: 5,
          professionName: "会计实操",
        },
        {
          professionId: 6,
          professionName: "税务师",
        },
        {
          professionId: 21,
          professionName: "中级经济师",
        },
      ],
    },
    {
      name: "医药类",
      list: [
        {
          professionId: 14,
          professionName: "执业西药师",
        },
        {
          professionId: 15,
          professionName: "执业中药师",
        },
        {
          professionId: 26,
          professionName: "护士职业资格证",
        },
        // 护师 professionId 为 31，由于业务需要上升权重，给初级和主管护师分配不同 professionId
        // {
        //   professionId: 202431,
        //   professionName: "初级护师",
        // },
        // {
        //   professionId: 202432,
        //   professionName: "主管护师",
        // }
        {
          professionId: 31,
          professionName: "初级护师",
        },
        {
          professionId: 31,
          professionName: "主管护师",
        }
      ],
    },
  ],
  course: {
    1: [
      {
        courseId: 1,
        courseName: "初级会计实务",
      },
      {
        courseId: 2,
        courseName: "经济法基础",
      },
    ],
    2: [
      {
        courseId: 3,
        courseName: "中级会计实务",
      },
      {
        courseId: 4,
        courseName: "经济法",
      },
      {
        courseId: 5,
        courseName: "财务管理",
      },
    ],
    3: [
      {
        courseId: 6,
        courseName: "会计",
      },
      {
        courseId: 7,
        courseName: "税法",
      },
      {
        courseId: 8,
        courseName: "经济法",
      },
      {
        courseId: 9,
        courseName: "财务成本管理",
      },
      {
        courseId: 10,
        courseName: "审计",
      },
      {
        courseId: 11,
        courseName: "公司战略与风险管理",
      },
    ],
    4: [
      {
        courseId: 12,
        courseName: "管理会计概论",
      },
      {
        courseId: 13,
        courseName: "管理会计职业道德",
      },
      {
        courseId: 14,
        courseName: "预算实务",
      },
      {
        courseId: 15,
        courseName: "成本管理",
      },
    ],
    5: [
      {
        courseId: 16,
        courseName: "实操",
      },
    ],
    6: [
      {
        courseId: 17,
        courseName: "税法一",
      },
      {
        courseId: 18,
        courseName: "税法二",
      },
      {
        courseId: 19,
        courseName: "财务与会计",
      },
      {
        courseId: 20,
        courseName: "涉税服务实务",
      },
      {
        courseId: 21,
        courseName: "涉税服务相关法律",
      },
    ],
    21: [
      {
        courseId: 49,
        courseName: "经济基础",
      },
      {
        courseId: 50,
        courseName: "工商管理",
      },
      {
        courseId: 51,
        courseName: "财政税收",
      },
      {
        courseId: 52,
        courseName: "人力资源管理",
      },
      {
        courseId: 53,
        courseName: "建筑与房地产经济",
      },
      {
        courseId: 54,
        courseName: "金融",
      },
    ],
    14: [
      {
        courseId: 37,
        courseName: "药学专业知识一",
      },
      {
        courseId: 38,
        courseName: "药学专业知识二",
      },
      {
        courseId: 39,
        courseName: "药学综合知识与技能",
      },
      {
        courseId: 44,
        courseName: "药事管理与法规",
      },
    ],
    15: [
      {
        courseId: 41,
        courseName: "中药学专业知识一",
      },
      {
        courseId: 42,
        courseName: "中药学专业知识二",
      },
      {
        courseId: 43,
        courseName: "中药学综合知识与技能",
      },
      {
        courseId: 44,
        courseName: "药事管理与法规",
      },
    ],
    26: [
      {
        courseId: 70,
        courseName: "护士职业资格考试",
      },
    ],
    31: [
      {
        courseId: 89,
        courseName: "初级护师",
      },
      {
        courseId: 104,
        courseName: "主管护师",
      },
    ],
    // 202431: [
    //   {
    //     courseId: 89,
    //     courseName: "初级护师",
    //   },
    // ],
    // 202432: [
    //   {
    //     courseId: 104,
    //     courseName: "主管护师",
    //   },
    // ],
  },
  professionList:{
    1: 1,
    2: 1,
    11:1,
    12:1,
    //中级开始
    23: 2,
    24: 2,
    25: 2,
    //cpa开始
    36: 3,
    37: 3,
    38: 3,
    39: 3,
    310: 3,
    311: 3,
    //管理会计开始
    412: 4,
    413: 4,
    414: 4,
    415: 4,
    //实操开始
    516: 5,
    //税务师
    617: 6,
    618: 6,
    619: 6,
    620: 6,
    621: 6,
    //健康管理师
    722: 7,
    723: 7,
    //执业西药师
    1437: 14,
    1438: 14,
    1439: 14,
    1444: 14,
    //执业中药师
    1541: 15,
    1542: 15,
    1543: 15,
    1544: 15,
    //中级经济师
    2149: 21,
    2150: 21,
    2151: 21,
    2152: 21,
    2153: 21,
    2154: 21,
},
  tabBar: {
    isCentered: true, // 控制中间tab是否突出
    list: [
      {
        name: "indexHome",
        url: "widget://html/home/index.html",
        label: "首页",
        bgImage: "../../image/icon-tabbar-index.png",
      },
      {
        name: "tikuHome",
        url: "widget://html/tiku/index.html",
        label: "题库",
        bgImage: "../../image/icon-tabbar-tiku.png",
      },
      {
        name: "classHome",
        url: "widget://html/class/index.html",
        label: "服务",
        bgImage: "../../image/icon-tabbar-class.png",
      },
      {
        name: "videoHome",
        url: "widget://html/video/index.html",
        label: "视频",
        bgImage: "../../image/icon-tabbar-video.png",
      },
      {
        name: "myHome",
        url: "widget://html/my/index.html",
        label: "我的",
        bgImage: "../../image/icon-tabbar-my.png",
      },
    ],
  },

};
